curl --request POST \
--url https://app.miget.com/api/v1/vpcs/{uuid}/attachments \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"subnet_uuid": "<string>",
"attachable_uuid": "<string>"
}
'import requests
url = "https://app.miget.com/api/v1/vpcs/{uuid}/attachments"
payload = {
"subnet_uuid": "<string>",
"attachable_uuid": "<string>"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({subnet_uuid: '<string>', attachable_uuid: '<string>'})
};
fetch('https://app.miget.com/api/v1/vpcs/{uuid}/attachments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.miget.com/api/v1/vpcs/{uuid}/attachments",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'subnet_uuid' => '<string>',
'attachable_uuid' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.miget.com/api/v1/vpcs/{uuid}/attachments"
payload := strings.NewReader("{\n \"subnet_uuid\": \"<string>\",\n \"attachable_uuid\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.miget.com/api/v1/vpcs/{uuid}/attachments")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"subnet_uuid\": \"<string>\",\n \"attachable_uuid\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.miget.com/api/v1/vpcs/{uuid}/attachments")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"subnet_uuid\": \"<string>\",\n \"attachable_uuid\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"uuid": "<string>",
"status": "<string>",
"attachable_type": "<string>",
"attachable_uuid": "<string>",
"workload_name": "<string>",
"subnet_name": "<string>",
"fqdn": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}Attach a workload to a VPC
Gives a workload an interface on one of the VPC’s subnets. The workload restarts: an interface cannot be added to a running pod, so for a database this is a database restart. The workload must run on a resource in the VPC’s own region.
curl --request POST \
--url https://app.miget.com/api/v1/vpcs/{uuid}/attachments \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"subnet_uuid": "<string>",
"attachable_uuid": "<string>"
}
'import requests
url = "https://app.miget.com/api/v1/vpcs/{uuid}/attachments"
payload = {
"subnet_uuid": "<string>",
"attachable_uuid": "<string>"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({subnet_uuid: '<string>', attachable_uuid: '<string>'})
};
fetch('https://app.miget.com/api/v1/vpcs/{uuid}/attachments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.miget.com/api/v1/vpcs/{uuid}/attachments",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'subnet_uuid' => '<string>',
'attachable_uuid' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.miget.com/api/v1/vpcs/{uuid}/attachments"
payload := strings.NewReader("{\n \"subnet_uuid\": \"<string>\",\n \"attachable_uuid\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.miget.com/api/v1/vpcs/{uuid}/attachments")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"subnet_uuid\": \"<string>\",\n \"attachable_uuid\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.miget.com/api/v1/vpcs/{uuid}/attachments")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"subnet_uuid\": \"<string>\",\n \"attachable_uuid\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"uuid": "<string>",
"status": "<string>",
"attachable_type": "<string>",
"attachable_uuid": "<string>",
"workload_name": "<string>",
"subnet_name": "<string>",
"fqdn": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}Authorizations
Bearer token for authentication. Format: 'Bearer {token}'
Headers
Workspace ID (uses default workspace if not provided)
Path Parameters
VPC UUID
Body
Response
Attach a workload to a VPC
Api_V1_Entities_VpcAttachment model
Unique attachment identifier
Current status (pending, active, failed, detaching)
Kind of workload attached (App, Service, Addon)
UUID of the attached workload
Name the daemon uses to find the workload
Subnet the workload joined
Name this workload answers to inside the VPC. Absent for a cronjob, whose pods are transient, and it points at a pod address rather than a fixed one.
Creation timestamp

